package com.ytpm.advertise.enums;

import lombok.Getter;

@Getter
public enum AndroidSecondCategoryEnum {
    Daydream("Daydream",1,"Daydream"),
    Android("Wear",1,"Android Wear"),
    Design("Design",1,"Art & Design"),
    Auto("Vehicles",1,"Auto & Vehicles"),
    Beauty("Beauty",1,"Beauty"),
    Books("Books",1,"Books & Reference"),
    Business("Business",1,"Business"),
    Comics("Comics",1,"Comics"),
    Communication("Communication",1,"Communication"),
    Dating("Dating",1,"Dating"),
    Education("Education",1,"Education"),
    Entertainment("Entertainment",1,"Entertainment"),
    Events("Events",1,"Events"),
    Finance("Finance",1,"Finance"),
    Food("Drink",1,"Food & Drink"),
    Health("Fitness",1,"Health & Fitness"),
    House("House",1,"House & Home"),
    Libraries("Libraries",1,"Libraries & Demo"),
    Lifestyle("Lifestyle",1,"Lifestyle"),
    Maps("Maps",1,"Maps & Navigation"),
    Medical("Medical",1,"Medical"),
    MusicAudio("Music",1,"Music & Audio"),
    News("News",1,"News & Magazines"),
    Parenting("Parenting",1,"Parenting"),
    Personalisation("Personalisation",1,"Personalisation"),
    Photography("Photography",1,"Photography"),
    Productivity("Productivity",1,"Productivity"),
    Shopping("Shopping",1,"Shopping"),
    Social("Social",1,"Social"),
    Sports("Sports",1,"Sports"),
    Tools("Tools",1,"Tools"),
    Travel("Travel",1,"Travel & Local"),
    Video("Video",1,"Video Players & Editors"),
    Weather("Weather",1,"Weather"),
    Action("Action",2,"Action"),
    Adventure("Adventure",2,"Adventure"),
    Arcade("Arcade",2,"Arcade"),
    Board("Board",2,"Board"),
    Card("Card",2,"Card"),
    Casino("Casino",2,"Casino"),
    Casual("Casual",2,"Casual"),
    Educational("Educational",2,"Educational"),
    Music("Music",2,"Music"),
    Puzzle("Puzzle",2,"Puzzle"),
    Racing("Racing",2,"Racing"),
    RolePlaying("RolePlaying",2,"Role Playing"),
    Simulation("Simulation",2,"Simulation"),
    SportsGame("SportsGame",2,"Sports"),
    Strategy("Strategy",2,"Strategy"),
    Trivia("Trivia",2,"Trivia"),
    Word("Word",2,"Word"),
    Ages5("Ages5",3,"Ages 5 & Under"),
    Ages6("Ages6",3,"Ages 6-8"),
    Ages9("Ages9",3,"Ages 9 & Over"),
    ActionAdventure("ActionAdventure",3,"Action & Adventure"),
    Brain("Brain",3,"Brain Games"),
    Creativity("Creativity",3,"Creativity"),
    EducationGame("EducationGame",3,"Education"),
    MusicAndVideo("MusicAndVideo",3,"Music and video"),
    Pretend("Pretend",3,"Pretend play"),
    ;
    private String code;
    private int parentCode;
    private String name;

    AndroidSecondCategoryEnum(String code, int parentCode, String name) {
        this.code = code;
        this.parentCode = parentCode;
        this.name = name;
    }
}
